CREATE TABLE cjm_xla_customer_accruals (
    XLA_CUSTOMER_ACCRUAL_ID    NUMBER(18, 0) ,
    EVENT_TYPE_CODE            VARCHAR2(120) ,
    ENTITY_CODE                VARCHAR2(120) ,
    EVENT_ID                   NUMBER(18, 0) ,
    CUSTOMER_ACCRUAL_ID        NUMBER(18, 0)     NOT NULL,
    BU_ID                      NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    XLA_CUSTOMER_ACCRUAL_ID    NUMBER(18, 0) ,
    EVENT_TYPE_CODE            VARCHAR2(120) ,
    ENTITY_CODE                VARCHAR2(120) ,
    EVENT_ID                   NUMBER(18, 0) ,
    CUSTOMER_ACCRUAL_ID        NUMBER(18, 0)     NOT NULL,
    BU_ID                      NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CONSTRAINT pk_cjm_xla_customer_accruals PRIMARY KEY (XLA_CUSTOMER_ACCRUAL_ID, XLA_CUSTOMER_ACCRUAL_ID)
);
